%define oname   bundler

Name:       ruby-%{oname}
Version:    1.3.5
Release:    %mkrel 7
Summary:    The best way to manage your application's dependencies
Group:      Development/Ruby
License:    MIT
URL:        http://gembundler.com/
Source0:    http://rubygems.org/downloads/%{oname}-%{version}.gem
Patch0:     bundler-add-support-for-binary-extensions-in-dedicated-folde.patch
Patch1:     bundler-ruby1.9-encoding.patch
BuildRequires: rubygems
BuildRequires: locales-en
Requires:   rubygem(thor)
Requires:   rubygem(net-http-persistent)
BuildArch:  noarch

%description
Bundler manages an application's dependencies through its entire life,
across many machines, systematically and repeatably

#-------------------------------------------------------------------------------

%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

#-------------------------------------------------------------------------------

%prep
%gem_setup
%patch0 -p1

%build
%gem_build

%install
%gem_install

# no need for vendor
rm -rf %{buildroot}%{gem_instdir}/lib/bundler/vendor/

%files
%{_bindir}/bundle
%dir %{gem_instdir}/
%{gem_instdir}/bin
%{gem_instdir}/lib
%{gem_instdir}/man
%{gem_instdir}/spec
%{gem_spec}

%files          doc
%doc %{gem_docdir}


%changelog
* Sat Dec 28 2013 pterjan <pterjan> 1.3.5-7.mga4
+ Revision: 561781
- Rebuild to fix provides

* Fri Dec 27 2013 pterjan <pterjan> 1.3.5-6.mga4
+ Revision: 561069
- Fix gem macros
- Add missing dependency

* Sat Oct 19 2013 umeabot <umeabot> 1.3.5-4.mga4
+ Revision: 535300
- Mageia 4 Mass Rebuild

* Fri Sep 20 2013 pterjan <pterjan> 1.3.5-3.mga4
+ Revision: 481902
- Rebuild for Ruby 2

* Wed Sep 11 2013 fwang <fwang> 1.3.5-2.mga4
+ Revision: 477487
- update file list
- use gem_setup

* Thu Jun 27 2013 fwang <fwang> 1.3.5-1.mga4
+ Revision: 447423
- new version 1.3.5

* Fri Feb 08 2013 umeabot <umeabot> 1.2.1-4.mga3
+ Revision: 395728
- Rebuild for CVE-2013-0256

* Mon Jan 14 2013 umeabot <umeabot> 1.2.1-3.mga3
+ Revision: 380662
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Dec 20 2012 shikamaru <shikamaru> 1.2.1-2.mga3
+ Revision: 333477
- readd thor dependency removed in r312020, bundle doesn?\226?\128?\153t work without

* Fri Nov 02 2012 fwang <fwang> 1.2.1-1.mga3
+ Revision: 312375
- export locale setting
- br locales
- force utf-8 locale
- set encoding
- add fedora patch
- new version 1.2.1

* Fri Jun 08 2012 shlomif <shlomif> 1.1.4-1.mga3
+ Revision: 257791
- Moved the files sections to the bottom
- New version - 1.1.4

* Sat Apr 16 2011 shikamaru <shikamaru> 1.0.12-1.mga1
+ Revision: 86068
- New version 1.0.12
- add check section (need to fix the 3 failures left)

* Mon Feb 07 2011 shikamaru <shikamaru> 1.0.10-1.mga1
+ Revision: 48535
- new version 1.0.10

* Thu Feb 03 2011 shikamaru <shikamaru> 1.0.2-3.mga1
+ Revision: 46757
- add thor as a requires since we don't ship it in vendor

* Tue Jan 25 2011 shikamaru <shikamaru> 1.0.2-2.mga1
+ Revision: 39407
- imported package ruby-bundler


* Tue Jan 25 2011 Rémy Clouard <shikamaru@mandriva.org> - 1.0.2-1
- Initial package
